#include "libm.h"

#if LD64

#elif LD80
int __fpclassifyl(long double x)
{
	union ldshape u = { x };
	int e = u.bits.exp;
	if (!e)
		return u.bits.m ? FP_SUBNORMAL : FP_ZERO;
	if (e == 0x7fff)
		return u.bits.m & ~((uint64_t)1<<63) ? FP_NAN : FP_INFINITE;
	return u.bits.m & (uint64_t)1<<63 ? FP_NORMAL : FP_NAN;
}
#elif LD128
int __fpclassifyl(long double x)
{
	union ldshape u = { x };
	int e = u.bits.exp;
	if (!e)
		return u.bits.mlo | u.bits.mhi ? FP_SUBNORMAL : FP_ZERO;
	if (e == 0x7fff)
		return u.bits.mlo | u.bits.mhi ? FP_NAN : FP_INFINITE;
	return FP_NORMAL;
}
#endif
